package com.tankalfa;
import com.osnova.*;


// 29.12.23
// класс Взрыва и знака

public class Vz {
  
 //private int x,y;
 private Sprite vz,zt;   
 public int vx=-200,vy=-200,zx=-300,zy=-300;
 public int an=0,a,b=0;
 public int bn=0/*или bn=10*/,Znak=0;     

  
  
  public Vz(){
      
      
      vz=new Sprite(D.vz,64,64,0);  
      zt=new Sprite(D.zt,64,64);  
      zt.skFrame=10; 
    }  
    
    
   public void vox(int x,int y){
     
    if(bn==10){zx=-300;zy=-300;}
    if(b==0) {vx=x;vy=y;b=1;}
    if(bn==0) {zx=x;zy=y;bn=1;}   
   
  }
  ///////
  public void znak(){
    
   if(Znak==1){zt.next2Frame(1,0);} 
   if(Znak==2){zt.next2Frame(2,0);}  
   if(Znak==3||Znak==30||Znak==33){zt.next2Frame(3,0);}
   if(Znak==4){zt.next2Frame(4,0);}
   if(Znak==5){zt.next2Frame(5,0);}
   if(Znak==6){zt.next2Frame(6,0);}
   if(Znak==7){zt.next2Frame(7,0);}
  }
    ///////////
    public void box(int x,int y){
      //this.x=x;
     // this.y=y;
    
    
     if(an==1){vox(x,y);
     a++;vz.nextFrame(0);}
     if(a>14){an=0;a=0;b=0;}
  
   if(a>12&bn==1){bn=2;}
   
   }
   ////////////
   public void paint(){
      
   vz.setPosition(vx-D.x,vy-D.y);
   vz.paint(Ran.c); 
 
    if(bn==2){
      
     zt.setPosition(zx-D.x,zy-D.y);
     znak();
     zt.paint(Ran.c); 
   }
    
  }
    ////////////////
  
  public void collides(Hero h){
    
   
   if(zt.collides(h)& Znak==1){D.sive=1;D.lp();bn=0;} 
   // броня
   if(zt.collides(h)& Znak==2& D.tan==1){D.br1=1;h.setBr();bn=0;}//else{
   if(zt.collides(h)& Znak==2& D.tan==2){D.br1=2;h.setBr();bn=0;}//else{
   if(zt.collides(h)& Znak==2& D.tan==3){D.br1=3;h.setBr();bn=0;}//}} 
    
    
   // знак танка // 11 января 2024 01:20
   if(zt.collides(h)& Znak==3){D.tan=1;h.setTank();bn=0;}//else{   
   if(zt.collides(h)& Znak==30){D.tan=2;h.setTank();bn=0;}//else{    
   if(zt.collides(h)& Znak==33){D.tan=3;h.setTank();bn=0;}//}}    
   
    // вот здесь остановился 
    
    
    
    
   if(zt.collides(h)& Znak==4){D.baH=2;h.setSna();bn=0;}
   if(zt.collides(h)& Znak==5){D.baH=3;h.setSna();bn=0;}
   if(zt.collides(h)& Znak==6){D.baH=4;h.setSna();bn=0;}
   if(zt.collides(h)& Znak==7){D.baH=5;h.setSna();bn=0;}
  
  }
    /*/ что-то не берет знак и ?
  public void collides(Npc np){
    
   for(Tn n: np.n){ 
     
   if(zt.collides(n)& Znak==4){D.baN=2;np.setSna();bn=0;}
   if(zt.collides(n)& Znak==5){D.baN=3;np.setSna();bn=0;}
   if(zt.collides(n)& Znak==6){D.baN=4;np.setSna();bn=0;}
   if(zt.collides(n)& Znak==7){D.baN=5;np.setSna();bn=0;}
   
    }
    
}*/
  
   
    
  ///e//c//  
}
